User:Espectador

From GNUstepWiki

Revision as of 06:11, 3 July 2008; view current revision
←Older revision | Newer revision→
Esta página es actualizada constantemente con nuevo material con el fin de dar a conocer GNUstep en el mundo de habla hispana. Cualquier duda, comentario o sugerencia es bienvenido. Puedes mandarme un E-mail con el link E-mail this user en la sección toolbox del menú de la izquierda o directamente a germanandre304@yahoo.com


GNUstep


GNUstep es un entorno de desarrollo, libre, de plataforma cruzada y orientado a objetos, para el desarrollo de aplicaciones de escritorio. Hace uso del lenguaje Objective-C, e implementa las especificaciones OpenStep. GNUstep consiste en un conjunto de Frameworks, dos herramientas de desarrollo (GORM y Project Center), y un escritorio para integrar las herramientas y demás aplicaciones (GWorkspace).



Si no conoces Objective-C o si nunca has programado, pincha aqui para bajarte el manual de GNUstep en español. Este manual te enseña todo lo necesario para comenzar a programar con GNUstep:


  • Como instalar GNUstep en tu sistema GNU/Linux.
  • El lenguaje Objective-C.
  • Programación orientada a objetos, y
  • Como crear aplicaciones utilizando los frameworks y herramientas de GNUstep.



Si eres programador de C++ y/o Java, y deseas conocer Objective-C, el siguiente documento puede interesarte:



Para intalar GNUstep en tu sistema GNU/Linux, puedes hacerlo desde los repositorios de tu distribución, o instalarlo desde el código (te recomiendo esto último). Si lo vas a instalar desde el código, necesitas primero instalar ciertos paquetes que son prerrequisitos de las librerías de GNUstep. Básicamente estos paquetes son


  • El compilador GCC.
  • El compilador de Objective-C (generalmente llamado gobjc).
  • Las librerías ffcall, incluyendo las de desarrollo (libffcall1 y libffcall-dev).
  • La librería de desarrollo xml2 (libxml2-dev).
  • Las librerías de desarrollo para Tiff, PNG y JPEG, opcionalmente para gif o ungif (libtiff4-dev, libpng12-dev, libjpeg62-dev).
  • Las librerías de desarrollo xext, xmu, art, xslt1, ssl, mp3 (libxext-dev, libxmu-dev, libssl-dev y libgmp3-dev).


Y, dependiendo de tu distribución, puede que necesites los paquetes de desarrollo para las X (x11proto-nombre_paquete-dev).


Los nombres de los paquetes dados entre parentesis, pueden cambiar de una distribución a otra. Si tienes problemas, puedes consultar aqui la instalación en distintas distribuciones (para la instalación en gNewSense 2, consulta este documento). Cumplidos estos prerrequisitos, necesitas bajarte los siguientes paquetes para instalar todo lo necesario, y poder empezar a programar en GNUstep.



Estos no son los únicos paquetes existentes para el entorno GNUstep, pero son suficientes para desarrollar una gran gama de aplicaciones. Existen, además, paquetes para manejo de bases de datos, creacion de aplicaciones Web, manejo de archivos de audio, etc. Para mayor información, puedes consultar la página oficial de GNUstep (en ingles) www.gnustep.org.